import httpRequestApi from '../../../utils/APIClient';
Page({
  /**
   * 页面的初始数据
   */
  data: {
      fullScreenBtn: false,
      playBtn: false,
      gesture: true,
      concerns:[
          {
              nickName: '清然未',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: false
          },
          {
              nickName: '木小雅',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: true
          },
          {
              nickName: '清然未',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: false
          },
          {
              nickName: '木小雅',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: true
          },
          {
              nickName: '清然未',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: false
          },
          {
              nickName: '清然未',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: false
          },
          {
              nickName: '清然未',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: false
          },
          {
              nickName: '木小雅',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: true
          },
          {
              nickName: '木小雅',
              time: '10-18 09:56',
              avatar: 'https://developers.weixin.qq.com/miniprogram/dev/image/cat/0.jpg?t=18102320',
              concerned: '已关注',
              followBack: '相互关注',
              isEachOther: true
          },
      ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: option.title//页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
    let uid = 1, pageNo = 8, pageSize = 18;
    httpRequestApi.getFollowUsers(uid, pageNo, pageSize).success(res => {
      let { data } = res.data;
      this.setData({
        isEachOther: data.hasPrevious
      });
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})