// pages/groupPage/my-group/my-group.js
import httpRequestApi from '../../../utils/APIClient';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    myGroupList: []
  },
    //跳转到团购详情页
  collageDetails: function ({currentTarget}) {
    const orderId = currentTarget.dataset.orderid;
    const num = currentTarget.dataset.num;
    console.log(num)
    if(!num) {
      wx.navigateTo({
        url: `/pages/groupPage/collage-details/collage-details?orderId=${orderId}`
      })
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    httpRequestApi.getMygroup().success((res) => {
      console.log('我的团', res.data.data.list)
      this.setData({
        myGroupList: res.data.data.list
      })
    }).fail( error => {
      console.log('错误', error)
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})